Bug 16256 - Can't edit library EAN if you leave EAN empty
Summary: Can't edit library EAN if you leave EAN empty
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 7736 16208
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-14 05:55 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16256 - Can't edit library EAN if you leave EAN empty (2.81 KB, patch)
2016-04-18 16:21 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16256 - Can't edit library EAN if you leave EAN empty (3.06 KB, patch)
2016-04-19 00:24 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 16256 - Can't edit library EAN if you leave EAN empty (3.05 KB, patch)
2016-04-19 10:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 16256 - Can't edit library EAN if you leave EAN empty (3.12 KB, patch)
2016-04-19 22:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-04-14 05:55:04 UTC
Go to administration - library EAN
Add a new library EAN
Enter only subscription and save
Try to edit again
Notice subscription is empty and saving will create another entry
Comment 1 Katrin Fischer 2016-04-14 05:57:52 UTC
It looks like the edit link expects an EAN as a parameter. I think it would be better to make this a required field and also use the existing ee_id to drive the actions.
Comment 2 Katrin Fischer 2016-04-14 05:59:52 UTC
Note: delete has broken links to - you can't delete entries there. Upping severity.
Comment 3 Kyle M Hall 2016-04-18 16:21:19 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2016-04-19 00:24:35 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2016-04-19 05:59:19 UTC
Hm, I hae applied 16206, 16208 and then this patch. I have problems with 16208, although the id is now used in the links and the same here - the problem remains even tho the edit screen is called with the id in the URL. The description is empty, even when one was set on creating the library ean and it will save as a new line.
Comment 6 Kyle M Hall 2016-04-19 10:33:13 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2016-04-19 22:27:06 UTC
Created attachment 50448 [details] [review]
[PASSED QA] Bug 16256 - Can't edit library EAN if you leave EAN empty

Test Plan:
1) Create an empty EAN
2) Edit it and save
3) Note you get a new EAN row
4) Apply this patch
5) Edit the empty EAN again
6) Note you now get an updated EAN and not a new row

Signed-off-by: Chris Cormack <chrisc@catalyst.net.z>

Depends on bug 16208 (which depends on 16206)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Brendan Gallagher 2016-04-20 16:53:17 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 9 Julian Maurice 2016-04-21 07:30:36 UTC
Not needed in stable versions, status changed to RESOLVED